From a96213c6006665ed14adbe9a9b8f69226ae34b5f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jul 31 2020 05:24:22 +0000
Subject: [PATCH 666/2232] Lockfile update


---

diff --git a/third-party/BUCK b/third-party/BUCK
index 479fbfc..9890a71 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -2,7 +2,7 @@
 
 rust_library(
     name = "anyhow",
-    srcs = glob(["vendor/anyhow-1.0.31/src/**"]),
+    srcs = glob(["vendor/anyhow-1.0.32/src/**"]),
     visibility = ["PUBLIC"],
     features = ["std"],
 )
@@ -14,7 +14,7 @@ rust_library(
 
 rust_library(
     name = "cc",
-    srcs = glob(["vendor/cc-1.0.54/src/**"]),
+    srcs = glob(["vendor/cc-1.0.58/src/**"]),
     visibility = ["PUBLIC"],
 )
 
@@ -31,7 +31,7 @@ rust_library(
 
 rust_library(
     name = "codespan-reporting",
-    srcs = glob(["vendor/codespan-reporting-0.9.4/src/**"]),
+    srcs = glob(["vendor/codespan-reporting-0.9.5/src/**"]),
     visibility = ["PUBLIC"],
     deps = [
         ":termcolor",
@@ -53,13 +53,13 @@ rust_library(
 
 rust_library(
     name = "link-cplusplus",
-    srcs = glob(["vendor/link-cplusplus-1.0.1/src/**"]),
+    srcs = glob(["vendor/link-cplusplus-1.0.2/src/**"]),
     visibility = ["PUBLIC"],
 )
 
 rust_library(
     name = "proc-macro-error",
-    srcs = glob(["vendor/proc-macro-error-1.0.2/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-1.0.3/src/**"]),
     rustc_flags = ["--cfg=use_fallback"],
     deps = [
         ":proc-macro-error-attr",
@@ -71,7 +71,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro-error-attr",
-    srcs = glob(["vendor/proc-macro-error-attr-1.0.2/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-attr-1.0.3/src/**"]),
     proc_macro = True,
     deps = [
         ":proc-macro2",
@@ -83,7 +83,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.17/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.19/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "proc-macro",
@@ -99,7 +99,7 @@ rust_library(
 
 rust_library(
     name = "quote",
-    srcs = glob(["vendor/quote-1.0.6/src/**"]),
+    srcs = glob(["vendor/quote-1.0.7/src/**"]),
     visibility = ["PUBLIC"],
     features = ["proc-macro"],
     deps = [":proc-macro2"],
@@ -107,7 +107,7 @@ rust_library(
 
 rust_library(
     name = "structopt",
-    srcs = glob(["vendor/structopt-0.3.14/src/**"]),
+    srcs = glob(["vendor/structopt-0.3.15/src/**"]),
     visibility = ["PUBLIC"],
     deps = [
         ":clap",
@@ -118,7 +118,7 @@ rust_library(
 
 rust_library(
     name = "structopt-derive",
-    srcs = glob(["vendor/structopt-derive-0.4.7/src/**"]),
+    srcs = glob(["vendor/structopt-derive-0.4.8/src/**"]),
     proc_macro = True,
     deps = [
         ":heck",
@@ -131,7 +131,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.23/src/**"]),
+    srcs = glob(["vendor/syn-1.0.36/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "clone-impls",
@@ -177,10 +177,10 @@ rust_library(
 
 rust_library(
     name = "unicode-width",
-    srcs = glob(["vendor/unicode-width-0.1.7/src/**"]),
+    srcs = glob(["vendor/unicode-width-0.1.8/src/**"]),
 )
 
 rust_library(
     name = "unicode-xid",
-    srcs = glob(["vendor/unicode-xid-0.2.0/src/**"]),
+    srcs = glob(["vendor/unicode-xid-0.2.1/src/**"]),
 )
diff --git a/third-party/BUILD b/third-party/BUILD
index 8734f30..9aaf4f6 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -7,7 +7,7 @@ load("@bazel_tools//tools/build_defs/pkg:pkg.bzl", "pkg_tar")
 
 rust_library(
     name = "anyhow",
-    srcs = glob(["vendor/anyhow-1.0.31/src/**"]),
+    srcs = glob(["vendor/anyhow-1.0.32/src/**"]),
     crate_features = ["std"],
     visibility = ["//visibility:public"],
 )
@@ -19,7 +19,7 @@ rust_library(
 
 rust_library(
     name = "cc",
-    srcs = glob(["vendor/cc-1.0.54/src/**"]),
+    srcs = glob(["vendor/cc-1.0.58/src/**"]),
     visibility = ["//visibility:public"],
 )
 
@@ -36,7 +36,7 @@ rust_library(
 
 rust_library(
     name = "codespan-reporting",
-    srcs = glob(["vendor/codespan-reporting-0.9.4/src/**"]),
+    srcs = glob(["vendor/codespan-reporting-0.9.5/src/**"]),
     visibility = ["//visibility:public"],
     deps = [
         ":termcolor",
@@ -58,13 +58,13 @@ rust_library(
 
 rust_library(
     name = "link-cplusplus",
-    srcs = glob(["vendor/link-cplusplus-1.0.1/src/**"]),
+    srcs = glob(["vendor/link-cplusplus-1.0.2/src/**"]),
     visibility = ["//visibility:public"],
 )
 
 rust_library(
     name = "proc-macro-error",
-    srcs = glob(["vendor/proc-macro-error-1.0.2/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-1.0.3/src/**"]),
     rustc_flags = ["--cfg=use_fallback"],
     deps = [
         ":proc-macro-error-attr",
@@ -76,7 +76,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro-error-attr",
-    srcs = glob(["vendor/proc-macro-error-attr-1.0.2/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-attr-1.0.3/src/**"]),
     crate_type = "proc-macro",
     deps = [
         ":proc-macro2",
@@ -88,7 +88,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.17/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.19/src/**"]),
     crate_features = [
         "proc-macro",
         "span-locations",
@@ -104,7 +104,7 @@ rust_library(
 
 rust_library(
     name = "quote",
-    srcs = glob(["vendor/quote-1.0.6/src/**"]),
+    srcs = glob(["vendor/quote-1.0.7/src/**"]),
     crate_features = ["proc-macro"],
     visibility = ["//visibility:public"],
     deps = [":proc-macro2"],
@@ -112,7 +112,7 @@ rust_library(
 
 rust_library(
     name = "structopt",
-    srcs = glob(["vendor/structopt-0.3.14/src/**"]),
+    srcs = glob(["vendor/structopt-0.3.15/src/**"]),
     visibility = ["//visibility:public"],
     deps = [
         ":clap",
@@ -123,7 +123,7 @@ rust_library(
 
 rust_library(
     name = "structopt-derive",
-    srcs = glob(["vendor/structopt-derive-0.4.7/src/**"]),
+    srcs = glob(["vendor/structopt-derive-0.4.8/src/**"]),
     crate_type = "proc-macro",
     deps = [
         ":heck",
@@ -136,7 +136,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.23/src/**"]),
+    srcs = glob(["vendor/syn-1.0.36/src/**"]),
     crate_features = [
         "clone-impls",
         "derive",
@@ -182,10 +182,10 @@ rust_library(
 
 rust_library(
     name = "unicode-width",
-    srcs = glob(["vendor/unicode-width-0.1.7/src/**"]),
+    srcs = glob(["vendor/unicode-width-0.1.8/src/**"]),
 )
 
 rust_library(
     name = "unicode-xid",
-    srcs = glob(["vendor/unicode-xid-0.2.0/src/**"]),
+    srcs = glob(["vendor/unicode-xid-0.2.1/src/**"]),
 )
